<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('events', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->string('description');
            $table->boolean('enable')->default(true);
            $table->timestamps();
        });

        DB::table('events')->insert(['title' => 'Aniversário da Rádio', 'description' => 'DIA: '.date_format(now(), 'd/m/Y').' nosso aniversario com Atrações Incríveis a partir da 18:00 HS', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('events')->insert(['title' => 'Programa especial', 'description' => 'Neste Domingo em nosso estúdio AO VIVO não perca.', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('events')->insert(['title' => 'Festival do Açai 2022', 'description' => 'Este ano o Festival do Açai esta imperdivel com atrações nacionais fantasticas não Perca EM BREVE mais informações.', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('events')->insert(['title' => 'NO AR', 'description' => 'Quinta -Feira Entrevista com Prefeito de Feijó-Acre.', 'created_at' => now(), 'updated_at' => now()]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('events');
    }
}
